> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/integrations/data-visualization-tools/sigma-integration.md).

# Sigma

An overview of the Sigma integration with Secoda

{% content-ref url="/pages/RsCb2Ov9zADGwM2CPTmm" %}
[Sigma Metadata Extracted](/integrations/data-visualization-tools/sigma-integration/metadata-extracted.md)
{% endcontent-ref %}

## **Getting Started with Sigma** <a href="#h_3a4bfd6458" id="h_3a4bfd6458"></a>

There are three steps to get started using Sigma with Secoda:

1. Create a Sigma Client ID and Client Secret
2. Retrieve your Sigma host URL
3. Connect Sigma to Secoda

#### **Create an Client ID and Client Secret** <a href="#h_0d871f44cf" id="h_0d871f44cf"></a>

To create a Sigma access token for Secoda visit Sigma and log into your account. Use the following steps to generate an access token:

1. Click on your avatar in the top right and select 'Administration' from the dropdown menu.
2. Click the option **APIs and Embed Secrets**
3. Click **Create New** in the top right

![](https://secoda-public-media-assets.s3.amazonaws.com/image%20\(1\)%20\(1\)%20\(1\).png)

4. Fill out the form with the Name and Owner. Make sure that the owner is an Administrator.
5. Copy the Client ID and Secret and save it. This will be used to connect to Secoda.

#### **Retrieve your Sigma host** <a href="#h_2e32c48e7f" id="h_2e32c48e7f"></a>

In the **Administrator** settings go to **Account.** In the top under the **Site** you can see which cloud you are hosted on.

![](https://secoda-public-media-assets.s3.amazonaws.com/image%20\(7\).png)

You can find your respective host parameter in [this table](https://help.sigmacomputing.com/reference/get-started-sigma-api#identify-your-api-request-url). For example, if you are hosted on AWS US (West), your host parameter is <https://aws-api.sigmacomputing.com>.

#### **Connect Sigma to Secoda** <a href="#h_b1c101d905" id="h_b1c101d905"></a>

After retrieving your Sigma client ID, secret and host , the next step is to connect to Secoda:

1. In the Secoda App, select **Add Integration** on the Integrations tab
2. Search for and select **Sigma**
3. Enter your Sigma client ID, secret, and host you retrieved above
4. Click **Connect**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secoda.co/integrations/data-visualization-tools/sigma-integration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
